body {
  font-family: "Poppins", sans-serif !important;
  width: 100%;
}
* {
  z-index: 2;
}

/* Navigation */
.navbar {
  position: fixed;
  z-index: 3;
  max-width: 100vw;
}
#img-logo-animo {
  scale: 80%;
}
#navbar-box {
  background-color: #fa2e2e !important;
}
#navbar-logo {
  margin: 0;
  padding: 0;
}
.nav-link {
  font-size: 18px;
  color: white;
}
.nav-link.active {
  font-weight: 500;
  font-size: 18px;
  border-bottom-style: solid;
  border-bottom-color: white;
  border-bottom-width: 2px;
}

/* Hero Section */
#hero {
  height: 100vh;
  min-height: 550px;
  max-height: 700px;
  width: 100%;
  padding-top: 80.67px;
  box-sizing: border-box;
}
.container-hero .row {
  margin-right: 0;
  margin-left: 0;
}
.img-hero {
  height: auto;
  width: 50%;
  z-index: 1 !important;
}
.hero-tagline h1 {
  font-weight: 700;
  width: 100%;
}
.hero-tagline p {
  font-size: 18px;
  width: 100%;
  margin-bottom: 30px !important;
  margin-top: 30px !important;
}
.button-lg-primary {
  width: 230px;
  height: 45px;
  border: none;
  font-weight: 600;
  font-size: 18px;
  border-radius: 5px;
}
.container-hero {
  width: 90vw !important;
}
.hero-button {
  background-color: #d4353b;
  color: white;
}

/* Overview Section */
#overview {
  background-color: #d4353b;
  padding: 80px 0;
}
.container-overview {
  width: 90vw !important;
}
.container-overview .row {
  margin-right: 0;
  margin-left: 0;
}
.overview-button {
  background-color: white;
  color: #a01b20;
}
.overview-tagline h2 {
  color: white;
  font-weight: 700;
}
.overview-tagline p {
  font-size: 18px;
  color: white;
  text-align: justify;
  margin-bottom: 30px !important;
  margin-top: 30px !important;
}

/* Best Seller & New Products Section */
#best-seller {
  padding: 60px 0;
}
.container-best-seller .row {
  margin-right: 0;
  margin-left: 0;
}
.home-product-img {
  width: 100%;
  height: auto;
  scale: 90%;
}
.home-product-card {
  width: 90%;
  height: auto;
  margin: 15px auto !important;
}
.best-seller-title h2 {
  color: #822125;
  font-weight: 700;
}
.row-card {
  margin-top: 30px !important;
  margin-left: 0;
  margin-right: 0;
}

#best-seller .home-product-card {
  background: radial-gradient(#e75c61, #c53a3f) !important;
}
#new-products .home-product-card {
  background-color: white;
}
.container-new-products .row {
  margin-left: 0;
  margin-right: 0;
}
#new-products {
  padding: 60px 0;
  background: linear-gradient(#e73e44, #ac2b30);
}
.new-products-title h2 {
  color: white;
  font-weight: 700;
}

.product-name {
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity(0.3s ease-in-out);
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  overflow: hidden;
  white-space: normal;
  overflow-wrap: break-all;
}
.product-name h3 {
  color: #fff;
  font-weight: 550 !important;
}
.home-product-card:hover .product-name {
  opacity: 1;
}
.home-product-card:hover .home-product-img {
  filter: brightness(80%);
}

/* Reseller */
.reseller-tagline h2 {
  color: #a01b20;
  font-weight: 700;
}
.container-reseller .row {
  margin-right: 0;
  margin-left: 0;
}
.contact-us-button {
  color: white;
  background-color: #d4353b;
  width: 230px;
  height: 45px;
  border: none;
  font-weight: 600;
  font-size: 18px;
  border-radius: 50px;
  margin-top: 20px;
}
#reseller {
  padding: 60px 0;
}

/* Footer */
footer {
  background-color: #d4353b;
  color: white;
  padding: 50px 20px;
}
.container-footer .row {
  margin-right: 0;
  margin-left: 0;
}
.footer-content h3 {
  font-weight: 700;
}
.footer-content h5 {
  font-weight: 550;
  padding-bottom: 20px;
}
.input-req {
  border-width: 0 0 2px 0;
  border-color: white;
  background-color: #d4353b;
  max-width: 90%;
  color: white;
}
.input-req::placeholder {
  color: white;
}
.input-req-box {
  padding: 25px 0;
}
.left-footer h5 {
  padding-top: 40px;
}
.input-req:focus {
  outline: none;
  color: white;
  border-color: white;
}
.submit-req {
  border: none;
  border-radius: 10px;
  color: #d4353b;
  background-color: #fff;
  font-weight: 600;
  width: 120px;
  height: 25px;
  font-size: 16px;
}
.icon-img {
  display: inline;
  width: 20px;
  height: auto;
  padding-right: 5px;
}
.icon-text {
  display: inline;
}
hr {
  border-width: 2px;
  opacity: 1;
  margin-bottom: 0;
}
.footer-row2 {
  padding-top: 45px;
}
.footer-info {
  padding-bottom: 20px;
}
.shop-at-img {
  width: 40px;
  height: auto;
  display: inline;
  padding-right: 10px;
}
.left-footer,
.mid-footer,
.right-footer {
  padding-top: 30px;
}
.footer-content a {
  color: white;
  display: block;
  text-decoration: none;
}
.shop-at-img-container a {
  display: inline;
}

/* Tentang Kami */
#tentang-kami {
  color: black;
  height: 100vh;
  min-height: 450px;
  max-height: 700px;
  width: 100%;
  padding-top: 80.67px;
  box-sizing: border-box;
}
#tentang-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.tentang-kami-tagline {
  margin: 0 auto;
}
.tentang-kami-tagline h1 {
  font-weight: 700;
  width: 100%;
}
.tentang-kami-tagline p {
  font-size: 18px;
  width: 100%;
  margin-bottom: 30px !important;
  margin-top: 30px !important;
}
.container-tentang-kami {
  width: 90vw !important;
}
.tentang-kami-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  width: 80%;
}
.tentang-kami-tagline img {
  z-index: 1;
  opacity: 0.5;
  width: 80%;
  height: auto;
}
.hr-tentang-kami {
  width: 50%;
}

/* Visi Kami */
#visi-kami {
  color: #524a4e;
  padding: 30px 0;
}
#visi-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.hr-visi-kami {
  width: 20%;
  margin: 0;
}
.visi-kami-tagline h2 {
  font-weight: 700;
}
.visi-kami-tagline {
  margin: 0 auto;
}
.visi-kami-tagline p {
  margin: 20px auto;
  font-size: 18px;
  font-weight: 500;
  text-align: center;
}

/* Misi Kami */
#misi-kami {
  color: #524a4e;
  padding: 30px 0;
}
#misi-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.hr-misi-kami {
  width: 20%;
  margin: 0;
}
.misi-kami-tagline h2 {
  font-weight: 700;
}
.misi-kami-tagline {
  margin: 10px auto;
}
.misi-text-box {
  width: 80%;
  margin: 20px auto 0 auto;
}
.misi-text p {
  text-align: center;
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 10px;
  margin-top: 10px;
}

/* Prinsip Kami */
#prinsip-kami {
  color: #524a4e;
  padding: 30px 0;
}
#prinsip-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.hr-prinsip-kami {
  width: 20%;
  margin: 0;
}
.prinsip-kami-tagline h2 {
  font-weight: 700;
}
.prinsip-kami-tagline {
  margin: 0 auto;
}
.prinsip-kami-tagline p {
  margin: 20px auto;
  font-size: 18px;
  font-weight: 500;
  width: 75%;
  display: inline;
  text-align: justify;
  padding-left: 20px;
}
.prinsip-kami-img {
  width: 20%;
  height: auto;
  display: inline;
}

/* Partner Kami */
#partner-kami {
  color: #524a4e;
  padding: 30px 0;
  margin-bottom: 20px;
}
#partner-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.hr-partner-kami {
  width: 20%;
  margin: 0;
}
.partner-kami-tagline h2 {
  font-weight: 700;
}
.partner-kami-tagline {
  margin: 0 auto;
}
.partner-kami-tagline p {
  margin: 20px auto;
  font-size: 18px;
  font-weight: 500;
  text-align: center;
}

/* Produk Kami */
#produk-kami {
  padding-top: 80.67px;
  width: 100%;
  box-sizing: border-box;
}
#produk-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.pilihan-kategori input {
  display: inline;
}
.pilihan-kategori label {
  display: inline;
}
.container-produk-kami {
  padding: 30px 0 40px 0;
}
.pilihan-kategori {
  padding: 5px 0;
}
.produk-kami-title {
  padding: 10px 0;
}
.submit-filter {
  border: none;
  color: white;
  background-color: #d4353b;
  font-weight: 500;
  width: 90px;
  height: 25px;
  border-radius: 5px;
}
.filter-category {
  padding-bottom: 10px;
}
.filter-category h5 {
  font-weight: 600;
}
.produk-kami-title h2 {
  font-weight: 700;
  color: #a01b20;
  margin-left: 30px;
}
#filter-form {
  margin-left: 20px;
}
.container-produk-kami .row2 {
  max-width: 100%;
  margin: 0;
}

/* Search */
#search-icon {
  height: 25px;
  width: auto;
  margin-left: 10px;
}
#search-input {
  height: 30px;
  width: 50%;
  border-bottom: #1e1e1e;
  border: none;
  border-bottom: solid;
  padding-left: 10px;
}
#search-input::placeholder {
  color: #1e1e1e;
  font-size: 18px;
}
.search-box {
  padding: 20px;
}
#search-input {
  outline: none;
}

/* Product List */
.product-col {
  padding: 10px 0;
  box-sizing: border-box;
}
.product-list-box {
  padding: 20px 0;
  box-sizing: border-box;
}
.product-list-box .row {
  margin: 0;
}
.product-box {
  width: 80%;
  height: 100%;
  background-color: white;
  margin: 0 auto;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}
.product-list-img {
  width: 80%;
  height: auto;
  margin-top: 20px;
}
.product-list-name {
  width: 80%;
  font-weight: 500;
  text-align: center;
  margin: 0 auto;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 20px;
  margin-top: 10px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.row {
  max-width: 100%;
}
.pilihan-kategori span {
  max-width: 100px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.text-harga {
  font-weight: 500 !important;
}

/* Hubungi Kami */
#hubungi-kami {
  color: black;
  min-height: 450px;
  width: 100%;
  padding-top: 80.67px;
  box-sizing: border-box;
}
#hubungi-kami .row {
  margin-right: 0;
  margin-left: 0;
}
.container-hubungi-kami {
  margin: 50px auto;
}
.hubungi-kami-title {
  margin: 0 auto;
}
.hubungi-kami-title h2 {
  font-weight: 700;
  color: #a01b20;
}
.hubungi-kami-box {
  background-color: #f0f0f0;
  margin: 20px auto;
}
.hubungi-kami-content h3 {
  font-weight: 700;
  padding-bottom: 20px;
  margin-bottom: 0;
}
.hubungi-kami-content {
  margin: 30px auto;
}
.kontak-info {
  padding: 5px 0;
}
.judul-form-pesan {
  padding-top: 20px;
  padding-bottom: 5px !important;
}
.hubungi-kami-content p {
  font-size: 18px;
  padding-bottom: 20px;
}
.form-pesan label {
  display: block;
}
.form-pesan input {
  width: 100%;
  height: auto;
}
#textbox-pesan {
  height: 150px;
  text-align: left;
  width: 100%;
}
.submit-pesan {
  background-color: #a01b20;
  color: white;
  border: none;
  border-radius: 20px;
  width: 120px;
  height: 35px;
  align-items: center;
  font-weight: 550;
}
.input-pesan {
  padding-bottom: 5px;
}

/* Product Details */
#product-details {
  color: black;
  min-height: 450px;
  width: 100%;
  padding-top: 80.67px;
  box-sizing: border-box;
}
.product-details-content .row {
  margin-right: 0;
  margin-left: 0;
}
.container-product-details {
  margin: 50px auto;
  padding: 0;
  width: 100%;
}
.text-besar {
  font-size: 18px;
  font-weight: 600;
}
.kategori-produk p {
  color: #a01b20;
}
.varian-list {
  display: inline;
}

.text-kecil {
  font-size: 16px;
  font-family: "Poppins", sans-serif !important;
}
.text-harga {
  color: #d4353b;
}
.judul-deskripsi {
  color: #a01b20;
  font-weight: 600;
}

.hr-deskripsi {
  width: 100vw;
  margin-left: calc(50% - 50vw);
  margin-right: calc(50% - 50vw);
}
.product-details-content {
  margin: 0 auto;
}
.img-produk-utama {
  width: 100%;
  height: auto;
}
.img-produk-kecil {
  width: 24%;
  height: auto;
  padding: 20px 0;
}
.gambar-produk {
  padding: 10px;
}
.deskripsi-produk {
  margin-top: 20px;
}
.button-beli {
  border: none;
  border-radius: 30px;
  color: white;
  background-color: #ac2b30;
  display: block;
  margin: 10px 0;
  padding: 5px 10px;
}
/* Pagination */
.pagination {
  margin: 10px auto;
  width: fit-content;
}
.page-link.active {
  background-color: #d4353b !important;
  border-color: #d4353b !important;
  color: white;
}
.page-link {
  color: #d4353b;
}
.page-link:hover {
  color: #d4353b;
  background-color: #f3f3f3;
}
pre {
  font-family: "Poppins", sans-serif !important;
}

/* Admin */
#admin-login {
  height: 100vh;
}

/* Admin Dashboard */
#admin-dashboard {
  flex-direction: column;
  padding: 40px;
}
#admin-dashboard a {
  color: black;
  text-decoration: none;
}
.pilihan-list {
  height: 50px;
  width: 200px;
  background-color: #f3f3f3;
  display: flex;
  justify-content: center;
  align-items: center;
  border: solid;
  border-color: black;
  margin: 10px 0;
}
.pilihan-list:hover {
  background-color: #dddddd;
}

/* Pilih Best Seller */
#product-list-for-bestseller {
  padding: 20px;
}
.submit-bestseller {
  border: none;
  color: white;
  background-color: #d4353b;
  font-weight: 500;
  width: 90px;
  height: 25px;
  border-radius: 5px;
}

/* Pilih New Products */
#product-list-for-bestseller {
  padding: 20px;
}
.submit-newproducts {
  border: none;
  color: white;
  background-color: #d4353b;
  font-weight: 500;
  width: 90px;
  height: 25px;
  border-radius: 5px;
}

/* Tambah Produk */
#tambah-produk {
  padding: 20px;
}
#tp-form {
  display: flex;
  flex-direction: column;
  width: 70%;
}
#ta-desc {
  height: 200px;
}
#tp-form * {
  margin: 5px;
}
.select-category {
  flex-direction: row;
}
#ta-link {
  height: 100px;
}

/* Edit Product */
#edit-section {
  padding: 40px 0;
}
.edit-product-list {
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  margin: 0 auto;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  width: 80%;
}
.edit-product-list {
  margin: auto;
}
#ep-form {
  display: flex;
  flex-direction: column;
  width: 80%;
}
#deskripsiproduk {
  height: 500px;
}
#linkp {
  height: 100px;
}

/* Delete Produk */
#product-list-for-delete {
  padding: 40px;
  flex-direction: column;
}
.cancelbut {
  width: fit-content;
}

/* Tambah Varian */
#product-list-tv {
  padding: 40px;
}
.tvproduct-list,
.hvproduct-list,
.varian-box {
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  margin: 0 auto;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  width: 80%;
}
#add-new-tv {
  padding: 40px;
  flex-direction: column;
}

/* Hapus Varian */
#product-list-hv {
  padding: 40px;
}

#add-new-hv {
  padding: 40px;
  flex-direction: column;
}

/* List Pesan */
#list-pesan {
  padding: 40px;
  flex-direction: column;
}

/* List Request */
#list-req {
  padding: 40px;
  flex-direction: column;
}
.pesanbox,
.reqbox {
  height: fit-content;
  padding: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  margin: 0 auto;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  margin: 10px;
}
.pesanbox {
  display: flex;
  flex-direction: column;
}
